Index: branches/src/ProcessManagement/ProcessManagement/Common/CommonDefine.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/CommonDefine.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Common/CommonDefine.cs	(revision 51)
@@ -37,10 +37,25 @@
         /// <summary>
         /// パスを定数で定義する
         /// </summary>
-        public const string s_UPDATE_FILE_PATH = @"Z:\52GenbaKantokuHisyo";
-        //public const string s_UPDATE_FILE_PATH = @"Z:\5-2現場監督秘書";
-        //private const string s_UPDATE_FILE_PATH = @"Z:\⑤ＩＴ事業部用\Debug";
         public const string s_UPDATECOPY_NAME = "UpDateCopy.exe";
+// ▼自動更新VPS対応▼
+        // FTPユーザ名
+        public const string s_FTP_USER_NAME = "pmaint";
+        // FTPパスワード
+        public const string s_FTP_PASSWORD = "hyou5210";
+        // FTPつなぎ先パス
+        public const string s_FTP_SERVER_PATH = "ftp://203.137.92.122:990/HYOU/";
+        // 更新モジュールフォルダ,ファイル名
+        public const string s_UPDATE_MODULE = "UpDateCopy";
+        // UVERSIONキー名
+        public const string s_UVERSION_KEY = "uversion";
+        // MVERSIONキー名
+        public const string s_MVERSION_KEY = "mversion";
+        // VERSIONセクション名
+        public const string s_VERSION_SECTION = "genbaKantokuHisyo";
+        // 起動パラメータ
+        public const string s_KIDOU_PARAM = "/NOCHECK";
+// ▲自動更新VPS対応▲
         #endregion
 
         #region システム定義ファイルパス
@@ -62,15 +77,24 @@
 
         #region システムセキュリティ定義
         /// <summary>
-        /// システム管理者パスワード
+        /// システム管理者コード
         /// </summary>
         public static int AdminCode = 88889988;
+        /// <summary>
+        /// システム管理者名称
+        /// </summary>
         public static string AdminUser = "Admin";
+        /// <summary>
+        /// システム管理者パスワード
+        /// </summary>
         public static string AdminPass = "Admin";
+        /// <summary>
+        /// システム管理者旧セキュリティコード
+        /// </summary>
         public static int AdminSecurityManagement = -1;
 
         /// <summary>
-        /// 機密管理番号
+        /// 旧機密管理番号
         /// </summary>
         public enum SysManaDivNo
         {
@@ -92,7 +116,7 @@
             UserAuthority,
         }
         /// <summary>
-        /// 機密管理区分
+        /// 旧機密管理区分
         /// </summary>
         public static List<KeyValuePair<int, string>> SystemManageDiv = new List<KeyValuePair<int, string>>{
                                                                                 new KeyValuePair<int,string>(1,"最高責任者"),
@@ -99,6 +123,36 @@
                                                                                 new KeyValuePair<int,string>(2,"統括責任者"),
                                                                                 new KeyValuePair<int,string>(3,"所　属　長"),
                                                                                 new KeyValuePair<int,string>(4,"一般使用者")};
+        /// <summary>
+        /// 機密管理番号
+        /// </summary>
+        public enum SecurityRankPos
+        {
+            /// <summary>
+            /// 特別権限
+            /// </summary>
+            SpecialAuthority = 0,
+            /// <summary>
+            /// 統括者権限
+            /// </summary>
+            FreeAuthority,
+            /// <summary>
+            /// 所属長権限
+            /// </summary>
+            LimitedAuthority,
+            /// <summary>
+            /// 一般者権限
+            /// </summary>
+            NormalAuthority,
+        }
+        /// <summary>
+        /// 機密管理区分
+        /// </summary>
+        public static List<KeyValuePair<int, string>> SecurityRankList = new List<KeyValuePair<int, string>>{
+                                                                                new KeyValuePair<int,string>(1,"特別権限"),
+                                                                                new KeyValuePair<int,string>(2,"統括者権限"),
+                                                                                new KeyValuePair<int,string>(3,"所属長権限"),
+                                                                                new KeyValuePair<int,string>(4,"一般者権限")};
         #region 旧機密区分名称
         //public static List<KeyValuePair<int, string>> SecurityManagementDivision = new List<KeyValuePair<int, string>>{
         //                                                                    new KeyValuePair<int,string>(1,"最高機密管理者"),
@@ -106,6 +160,34 @@
         //                                                                    new KeyValuePair<int,string>(3,"機密管理者"),
         //                                                                    new KeyValuePair<int,string>(4,"一般使用者")};
         #endregion
+
+        /// <summary>
+        /// 機密区分範囲
+        /// </summary>
+        public enum SecurityRangePos
+        {
+            /// <summary>
+            /// 全部署参照
+            /// </summary>
+            AllPath = 0,
+            /// <summary>
+            /// 複数部署参照
+            /// </summary>
+            Multiple,
+            /// <summary>
+            /// 自部署のみ
+            /// </summary>
+            Only,
+            /// <summary>
+            /// 自担当者のみ
+            /// </summary>
+            None,
+        }
+        public static List<KeyValuePair<int, string>> SecurityRangeList = new List<KeyValuePair<int, string>>{
+                                                                                new KeyValuePair<int,string>(1,"全部署対象"),
+                                                                                new KeyValuePair<int,string>(2,"複数部署対象"),
+                                                                                new KeyValuePair<int,string>(3,"自部署のみ対象"),
+                                                                                new KeyValuePair<int,string>(4,"担当分のみ対象")};
         #endregion
 
         #region エクセル使用時パス
@@ -160,7 +242,15 @@
         public static Color s_clrNormal = Color.White;
         #endregion
 
+        #region 曜日文字
+        /// <summary>
+        /// 曜日文字
+        /// </summary>
+        public static string[] DayOfTheWeekString = new string[] { "日", "月", "火", "水", "木", "金", "土" };
+        #endregion
+
         #region 掲示板：関連定義
+        #region 掲示板グリッド返信文字
         /// <summary>
         /// 掲示板グリッド返信文字
         /// </summary>
@@ -187,7 +277,9 @@
         /// 総務部コード（部署コード）
         /// </summary>
         public static int s_GeneralAffairsDevision = 4;
+        #endregion
 
+        #region メッセージリンク区分
         /// <summary>
         /// メッセージリンク区分
         /// </summary>
@@ -202,7 +294,9 @@
             /// </summary>
             ConstructionInfo,
         }
+        #endregion
 
+        #region メッセージフラグ区分
         /// <summary>
         /// メッセージフラグ区分
         /// </summary>
@@ -218,6 +312,7 @@
             Secretary,
         }
         #endregion
+        #endregion
 
         #region 行動予定 会社行事名称・コード
         /// <summary>
@@ -430,11 +525,20 @@
         public static readonly string[] ApprovalButtonString = new string[] { "未承認", "承認済", "不承認" };
         #endregion
 
+        #region 承認処理：デフォルト承認受付番号
+        /// <summary>
+        /// 承認処理：デフォルト承認受付番号
+        /// </summary>
+        public static int s_Default_OrderNo = 1;
+        #endregion
+
         #region 起動時チェック：関連定義
         /// <summary>
         /// 起動時日付チェックを必要とする処理のキー
         /// </summary>
-        public static Dictionary<int, string> ExePrimaryCode = new Dictionary<int, string>() { { 1, "初回起動日付" } };
+        public static Dictionary<int, string> ExePrimaryCode = new Dictionary<int, string>() { { 1, "初回起動日付" },
+                                                                                                { 2, "システムバージョン" },
+                                                                                            };
         #endregion
 
         #region 管理マスタ：工事番号基準値
@@ -881,6 +985,48 @@
         public static int s_EstimatesExpirationDeadline = 3;
         #endregion
 
+        #region 見積書入力：固定項目キー
+        /// <summary>
+        /// 見積書入力：固定項目キー
+        /// </summary>
+        public enum EstimateTotalSeqNo
+        {
+            /// <summary>
+            /// 合計：'A'
+            /// </summary>
+            ToTal1 = 0,
+            /// <summary>
+            /// 端数処理：'B'
+            /// </summary>
+            ToTal2,
+            /// <summary>
+            /// 改め合計：'C'
+            /// </summary>
+            ToTal3,
+            /// <summary>
+            /// 消費税相当額：'D'
+            /// </summary>
+            ToTal4,
+            /// <summary>
+            /// 総計：'E'
+            /// </summary>
+            ToTal5,
+        }
+        #endregion
+
+        #region 見積書入力：固定項目キー文字列
+        /// <summary>
+        /// 見積書入力：固定項目キー文字列
+        /// </summary>
+        /// <param name="estimatetotalseqNo"></param>
+        /// <returns></returns>
+        public static string GetEstimateTotalSeqNo(this EstimateTotalSeqNo estimatetotalseqNo)
+        {
+            string[] names = { "A", "B", "C", "D", "E" };
+            return names[(int)estimatetotalseqNo];
+        }
+        #endregion
+
         #region 見積書入力：タブカテゴリ定義値
         /// <summary>
         /// 見積入力：大項目・中項目・小項目
@@ -1006,6 +1152,13 @@
                                                                     "公共工事標準仕様書（最新版）に則り施工のこと。"};
         #endregion
 
+        #region 注文書入力：印刷対象金額
+        /// <summary>
+        /// 印刷対象金額
+        /// </summary>
+        public static int s_PrintOutPrice = 300000;
+        #endregion
+
         #region 交通費及び購入品等入力：データ種別
         /// <summary>
         /// 交通費及び購入品等入力：データ種別
@@ -1040,11 +1193,11 @@
         public static readonly string[] CostDataNoString = new string[] { "", "交　通　費", "購入品費", "車両リース代", "駐車場・資材置き場代", "宿泊費" };
         #endregion
 
-        #region 入力履歴等：データ種別
+        #region 汎用データ：コードデータ種別
         /// <summary>
-        /// 入力履歴等：データ種別
+        /// 汎用データ：コードデータ種別
         /// </summary>
-        public enum SearchLogDataType
+        public enum CodeDataType
         {
             /// <summary>
             /// 固定コード
@@ -1181,8 +1334,9 @@
         /// <summary>
         /// 修正モード名称
         /// </summary>
-        public static string EditModeStringNew = "新規";
-        public static string EditModeStringEdit = "修正";
+        public static string EditModeStringNew = "新　規";
+        public static string EditModeStringEdit = "修　正";
+        public static string EditModeStringRef = "参　照";
         #endregion
 
         #region 1ページ初期行数
@@ -1299,7 +1453,27 @@
         }
         #endregion
 
+        #region 工事リンク情報：リンク種別
+        /// <summary>
+        /// 工事リンク情報：リンク種別
+        /// </summary>
+        public enum LinkDataType
+        {
+            /// <summary>
+            /// 0:増減工事
+            /// </summary>
+            FluctuationType = 0,
+            /// <summary>
+            /// 1:結合工事
+            /// </summary>
+            JoinType,
+        }
+        #endregion
+
         #region 工事基本情報：紐付データフラグ
+        /// <summary>
+        /// 工事基本情報：紐付データフラグ
+        /// </summary>
         public enum BaseInfoTyingFlg
         {
             /// <summary>
@@ -1307,30 +1481,34 @@
             /// </summary>
             Standard = 0,
             /// <summary>
-            /// 1:親データ
+            /// 1:増減親データ
             /// </summary>
-            Pearent,
+            Parent,
             /// <summary>
-            /// 2:紐付きデータ
+            /// 2:増減子データ
             /// </summary>
             Tying,
         }
         #endregion
 
-        #region 工事詳細台帳：担当中フラグ
+        #region 工事基本情報：結合工事フラグ
         /// <summary>
-        /// 担当中フラグ
+        /// 工事基本情報：結合工事フラグ
         /// </summary>
-        public enum SalaryOperateKind
+        public enum BaseInfoJoinFlg
         {
             /// <summary>
-            /// 担当終了
+            /// 0:結合無通常データ
             /// </summary>
-            Complate = 0,
+            Standard = 0,
             /// <summary>
-            /// 担当中
+            /// 1:結合親データ
             /// </summary>
-            Oparateing,
+            JoinParent,
+            /// <summary>
+            /// 2:結合子データ
+            /// </summary>
+            JoinChildren,
         }
         #endregion
 
@@ -1351,8 +1529,25 @@
         }
         #endregion
 
-        #region 工事詳細台帳：増減工事フラグ
+        #region 工事詳細台帳明細：担当中フラグ
         /// <summary>
+        /// 担当中フラグ
+        /// </summary>
+        public enum SalaryOperateKind
+        {
+            /// <summary>
+            /// 担当終了
+            /// </summary>
+            Complate = 0,
+            /// <summary>
+            /// 担当中
+            /// </summary>
+            Oparateing,
+        }
+        #endregion
+
+        #region 工事詳細台帳明細：増減工事フラグ
+        /// <summary>
         /// 工事詳細台帳：増減工事フラグ
         /// </summary>
         public enum FluctuatesFlg
@@ -1360,7 +1555,7 @@
             /// <summary>
             /// 0:通常データ
             /// </summary>
-            Normal =0,
+            Normal = 0,
             /// <summary>
             /// 1:増減データ
             /// </summary>
@@ -1368,6 +1563,27 @@
         }
         #endregion
 
+        #region 工事詳細台帳明細：注文書発行フラグ
+        /// <summary>
+        /// 工事詳細台帳明細：注文書データ作成フラグ
+        /// </summary>
+        public enum PurchaseOrderFlg
+        {
+            /// <summary>
+            /// 未作成
+            /// </summary>
+            NoCreate = 0,
+            /// <summary>
+            /// 作成済
+            /// </summary>
+            Making = 1,
+            /// <summary>
+            /// 作成しない
+            /// </summary>
+            NotMakingData = 9,
+        }
+        #endregion
+
         #region 担当者マスタ：工事詳細台帳計算対象フラグ
         /// <summary>
         /// 担当者マスタ：工事詳細台帳計算対象フラグ
@@ -1384,5 +1600,83 @@
             CalcTarget,
         }
         #endregion
+
+        #region 担当者対象部署マスタ：所属フラグ
+        /// <summary>
+        /// 担当者対象部署マスタ：所属フラグ
+        /// </summary>
+        public enum AffiliationFlg
+        {
+            /// <summary>
+            /// 他部署
+            /// </summary>
+            Ohter = 0,
+            /// <summary>
+            /// 所属部署
+            /// </summary>
+            Affiliation,
+        }
+        #endregion
+
+        #region 起動対象マスタ：データ編集フラグ
+        /// <summary>
+        /// 起動対象マスタ：データ編集フラグ
+        /// </summary>
+        public enum ProcessDataEdit
+        {
+            /// <summary>
+            /// 参照
+            /// </summary>
+            Reference = 0,
+            /// <summary>
+            /// 対象
+            /// </summary>
+            Edit,
+        }
+        #endregion
+
+        #region 保護区分マスタ：総務業務フラグ
+        /// <summary>
+        /// 保護区分マスタ：総務業務フラグ
+        /// </summary>
+        public enum GeneralAffairs
+        {
+            /// <summary>
+            /// 総務以外
+            /// </summary>
+            OtherDep = 0,
+            /// <summary>
+            /// 総務業務対象
+            /// </summary>
+            GeneralDep,
+        }
+        #endregion
+
+        #region 保護区分マスタ：総務業務名称
+        /// <summary>
+        /// 保護区分マスタ：総務業務名称
+        /// </summary>
+        public static List<KeyValuePair<int, string>> GeneralAffairsList = new List<KeyValuePair<int, string>>{
+                                                                                new KeyValuePair<int,string>(0,"総務業務不可"),
+                                                                                new KeyValuePair<int,string>(1,"総務業務可能")};
+        #endregion
+
+        #region 業者手間区分
+        /// <summary>
+        /// 業者手間区分                          // Add BIT 2017/02/23
+        /// </summary>
+        public enum LabourKinds
+        {
+            /// <summary>
+            /// 通常業者
+            /// </summary>
+             Normal = 0,
+            /// <summary>
+            /// 手間業者
+            /// </summary>
+            Labor,
+        }
+        #endregion
+
     }
 }
